libmpv1_0.29.1-1_i386.deb


Advertisement

Description

libmpv1 - video player based on MPlayer/mplayer2 (client library)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmpv1_0.29.1-1_i386.deb
Package name libmpv1
Package version 0.29.1
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://mpv.io/
License -
Maintainer Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Download size 797.69 KB
Installed size 2.12 MB
mpv is a movie player based on MPlayer and mplayer2. It supports a wide
variety of video file formats, audio and video codecs, and subtitle types.
This package provides a client library that can be used to embed mpv in other
applications.

Alternatives

Package Version Architecture Repository
libmpv1_0.29.1-1_amd64.deb 0.29.1 amd64 Debian Main
libmpv1 - - -

Requires

Name Value
libarchive13 >= 3.1.2
libasound2 >= 1.0.27
libass9 >= 1:0.13.6
libavcodec58 >= 7:4.0
libavdevice58 >= 7:4.0
libavfilter7 >= 7:4.0
libavformat58 >= 7:4.0
libavutil56 >= 7:4.0
libbluray2 >= 1:0.2.2
libc6 >= 2.27
libcaca0 >= 0.99.beta17-1
libcdio-cdda2 >= 10.2+0.94+2
libcdio-paranoia2 >= 10.2+0.94+2
libcdio18 >= 2.0.0
libdrm2 >= 2.4.62
libdvdnav4 >= 4.1.3
libdvdread4 >= 4.1.3
libegl1 -
libgbm1 >= 8.1~0
libgl1 -
libjack-0.125 -
libjack-jackd2-0 >= 1.9.10+20150825
libjpeg62-turbo >= 1.3.1
liblcms2-2 >= 2.6
liblua5.2-0 -
libpulse0 >= 0.99.4
librubberband2 -
libsdl2-2.0-0 >= 2.0.8
libsmbclient >= 2:4.0.3+dfsg1
libsndio7.0 >= 1.1.0
libswresample3 >= 7:4.0
libswscale5 >= 7:4.0
libuchardet0 >= 0.0.1
libva-drm2 >= 1.1.0
libva-wayland2 >= 1.3.0
libva-x11-2 >= 1.0.3
libva2 >= 2.1.0
libvdpau1 >= 0.2
libvulkan1 -
libwayland-client0 >= 1.9.91
libwayland-cursor0 >= 1.0.2
libwayland-egl1 >= 1.15.0
libx11-6 -
libxext6 -
libxinerama1 -
libxkbcommon0 >= 0.5.0
libxrandr2 >= 2:1.2.99.2
libxss1 -
libxv1 -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmpv1_0.29.1-1_i386.deb
Source Package mpv

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmpv1 deb package:
    # sudo apt-get install libmpv1

Files

Path
/usr/lib/i386-linux-gnu/libmpv.so.1
/usr/lib/i386-linux-gnu/libmpv.so.1.101.0
/usr/share/doc/libmpv1/changelog.Debian.gz
/usr/share/doc/libmpv1/changelog.gz
/usr/share/doc/libmpv1/copyright

Changelog

2018-10-03 - James Cowgill <jcowgill@debian.org>
mpv (0.29.1-1) unstable; urgency=medium
* New upstream release.
* d/control: Bump standards version to 4.2.1.
2018-07-28 - James Cowgill <jcowgill@debian.org>
mpv (0.29.0-1) unstable; urgency=medium
* New upstream release. (Closes: #904629)
- player: add on_load_fail hook. (Closes: #898576)
- ytdl_hook: fix single-entry playlists. (Closes: #898279)
* debian/copyright: Update.
* debian/libmpv1.symbols: Add new symbols.
* debian/patches:
- Drop 04_waf-pie.patch - hopefully not needed in recent GCC.
- Drop 08_waf-python3.7.patch - applied in new waf.
- Rewrite patch description for 06_ffmpeg-abi.patch.
- Refresh patches.
* debian/rules:
- Remove --enable-encoding option.
2018-07-18 - James Cowgill <jcowgill@debian.org>
mpv (0.28.2-3) unstable; urgency=medium
* Upload to unstable.
2018-07-16 - James Cowgill <jcowgill@debian.org>
mpv (0.28.2-2) experimental; urgency=medium
* debian/control:
- Add missing build-dependency on wayland-protocols.
Thanks to Laurent Bigonville for reporting! (Closes: #903887)
- Bump standards version to 4.1.5.
* debian/patches:
- Add patch to fix FTBFS with Python 3.7 as the default python3.
(Closes: #903610)
2018-05-06 - James Cowgill <jcowgill@debian.org>
mpv (0.28.2-1) experimental; urgency=medium
* New upstream bugfix release.
- Also whitelist subtitle URLs in youtube-dl hook. (Closes: #890410)
* debian/rules:
- Build-Depend on ffmpeg 4.0. (Closes: #898080)
* debian/patches:
- Drop patch for CVE-2018-6360 - fixed upstream.
- Fix typo in 06_ffmpeg-abi.patch description.
2018-02-04 - James Cowgill <jcowgill@debian.org>
mpv (0.28.0-1) experimental; urgency=medium
* New upstream release.
* debian/compat:
- Use debhelper 11.
* debian/control:
- Set Maintainer to debian-multimedia@l.d.o.
- Switch Vcs URLs to salsa.debian.org.
- Drop unused dependency on libavresample-dev.
- Add dependencies on libarchive-dev and libvulkan-dev.
- Bump ffmpeg dependencies to 3.5.
- Set Rules-Requires-Root: no.
- Bump standards to 4.1.3.
* debian/copyright:
- Update for 0.28.
- Use secure copyright format URL.
* debian/patches:
- Drop vaapi patch applied upstream.
- Add patch for CVE-2018-6360. (Closes: #888654)
- Refresh other patches.
2017-10-21 - James Cowgill <jcowgill@debian.org>
mpv (0.27.0-2) unstable; urgency=medium
* debian/control:
- Bump standards version to 4.1.1 (no changes).
* debian/patches:
- Add upstream patch to fix FTBFS with libva 2.0. (Closes: #879057)
2017-09-15 - James Cowgill <jcowgill@debian.org>
mpv (0.27.0-1) unstable; urgency=medium
* New upstream release.
* debian/control:
- Bump standards version to 4.1.0 (no changes).
* debian/copyright:
- Update copyright.
* debian/patches:
- Refresh.
* debian/rules:
- Re-enable DVB. (Closes: #873294)
- Run waf using python3 instead of python2.
2017-07-26 - James Cowgill <jcowgill@debian.org>
mpv (0.26.0-3) unstable; urgency=medium
* Bump ffmpeg build dependency to >= 3.3.
- Should fix hardware decoding in 0.26.0. (Closes: #869093)
2017-07-21 - James Cowgill <jcowgill@debian.org>
mpv (0.26.0-2) unstable; urgency=medium
* debian/control, debian/rules:
- Remove --enable-tv option and drop libv4l-dev build dependency. This
functionality is now provided through ffmpeg.
* debian/patches/07_io-stdin-used.patch:
- Add _IO_stdin_used to mpv version script. Should fix FTBFS on alpha,
mips* and powerpc*.

See Also

Package Description
libmpx2-amd64-cross_8.3.0-2cross1_all.deb Intel memory protection extensions (runtime)
libmpx2-i386-cross_8.3.0-2cross1_all.deb Intel memory protection extensions (runtime)
libmpx2_8.3.0-6_i386.deb Intel memory protection extensions (runtime)
libmqdb-perl_0.954-2_all.deb MappedQueryDB toolkit for federated databases
libmqtt-client-java_1.14-1_all.deb Java MQTT Client API
libmr-tarantool-perl_0.0.24-1_all.deb perl driver for tarantool
libmrm4_2.3.8-2_i386.deb Motif - MRM (Motif Resource Manager) shared library
libmrmpi-dev_1.0~20140404-2+b1_i386.deb Implements MapReduce operation on top of standard MPI message - development
libmrmpi1_1.0~20140404-2+b1_i386.deb Implements MapReduce operation on top of standard MPI message - runtime
libmro-compat-perl_0.13-1_all.deb mro::* interface compatibility for Perls < 5.9.5
libmrpt-base1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - base library
libmrpt-detectors1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - detectors library
libmrpt-dev_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - Development headers
libmrpt-graphs1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - graphs library
libmrpt-graphslam1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - graphslam library
Advertisement
Advertisement